################################################################################
#
#  kPerl Core Library Group
#  Abstract Object Library - Structure-Independent Methods
#
#  copyright (c)
#  Karol Szafranski on behalf of IMB Jena, Genome Analysis, 2002,2004
#  szafrans@imb-jena.de
#
################################################################################
#
#  DESCRIPTION
#
# - individual description of functions at the beginning of the code blocks
#
################################################################################
#
#  FUNCTIONS, DATA
#
# - housekeeping
#   &ini
#
################################################################################

package MainLib::DefaultObj;

# includes
use strict; use warnings;


################################################################################
# housekeeping
################################################################################


# initialise object
#
# INTERFACE
# - argument 1+: initialisation arguments
# - return val:  reference on object
#
# DESCRIPTION
# - this code is meant as a declaration only
#
sub ini {
  printf STDERR "%s. FATAL ERROR: method not implemented\n", (caller(0))[3];
  exit 1;
}


## the following is never used so far
#################################################################################
## calling architecture
#################################################################################
#
#
## package plus function name where this function was actually called
#sub _MySub { return (caller(1))[3] }
#
## package plus function name where this function was actually called
#sub _MyCaller {
#  my @callfrom =  caller(2);
#  unless (@callfrom) { return "*unknown*, probably main" }
#  $callfrom[1] =~ s/^-e$/cmd line script/;
#  return sprintf('called from %s in %s, line %s',@callfrom[3,1,2]);
#}


1;
# $Id: DefaultObj.pm,v 1.5 2004/11/09 23:34:11 karol Exp $
